#include <iostream>  
#include <cstdlib>
using namespace std;
int main() {
	int x1, y1, x2, y2, c1, c2;
	cin >> x1 >> y1 >> x2 >> y2;
	if (x1 > x2) c1 = x1 - x2;
	else c1 = x2 - x1;
	if (y1 > y2) c2 = y1 - y2;
	else c2 = y2 - y1;
	if (x1 == x2 || y1 == y2) {
		cout << 2 << endl;
	}
	else if (c1 == c2){
		cout << 1 << endl;
	}
	else {
		cout << 0 << endl;
	}
	return 0;
}